OpenMM

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Pages
Public Member Functions | Static Public Member Functions | List of all members
Element Class Reference

An Element represents a chemical element. More...

Inheritance diagram for Element:

## Public Member Functions
def | __init__
| Create a new element. More...
def | atomic_number
def | name
def | symbol
def | mass
def | __str__
def | __repr__

## Static Public Member Functions
def | getBySymbol
| Get the Element with a particular chemical symbol. More...
def | getByAtomicNumber
def | getByMass
| Get the element whose mass is CLOSEST to the requested mass. More...

## Detailed Description

An Element represents a chemical element.

The simtk.openmm.app.element module contains objects for all the standard chemical elements, such as element.hydrogen or element.carbon. You can also call the static method Element.getBySymbol() to look up the Element with a particular chemical symbol.

Element objects should be considered immutable

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | number,
|  |  | name,
|  |  | symbol,
|  |  | mass
| ) |  |

Create a new element.

number (int) The atomic number of the element name (string) The name of the element symbol (string) The chemical symbol of the element mass (float) The atomic mass of the element

References Element._atomic_number, Element._mass, Element._name, and Element._symbol.

## Member Function Documentation

def __repr__ | ( |  | self | ) |

References Element.name(), ForceField._TemplateData.name, Residue.name, ForceField._TemplateAtomData.name, Atom.name, Modeller._ResidueData.name, and Modeller._Hydrogen.name.

def __str__ | ( |  | self | ) |

References Element.name(), ForceField._TemplateData.name, Residue.name, ForceField._TemplateAtomData.name, Atom.name, Modeller._ResidueData.name, and Modeller._Hydrogen.name.

def atomic_number | ( |  | self | ) |

References Element._atomic_number.

def getByAtomicNumber | ( |  | atomic_number | ) |
| static

def getByMass | ( |  | mass | ) |
| static

Get the element whose mass is CLOSEST to the requested mass.

This method should not be used for repartitioned masses

## Parameters

mass : float or Quantity Mass of the atom to find the element for. Units assumed to be daltons if not specified

## Returns

element : Element The element whose atomic mass is closest to the input mass

def getBySymbol | ( |  | symbol | ) |
| static

Get the Element with a particular chemical symbol.

def mass | ( |  | self | ) |

References Element._mass.

def name | ( |  | self | ) |

References Element._name.

Referenced by Element.__repr__(), Element.__str__(), Modeller.addSolvent(), and ForceField.registerScript().

def symbol | ( |  | self | ) |

References Element._symbol.

The documentation for this class was generated from the following file:

- element.py